Reference
Me
Me: 1 operation (me.get).
| Method | Path | Operation |
|---|---|---|
GET | /v1/me | me.get |
me.get
GET/v1/me
Who this API key is: its workspace, scopes, reps and limits.
Any valid key may call it; it is the connection test of an integration. Never names the key's creator or anything of another workspace.
| Operation id | me.get |
| Scopes | Any valid key |
| Rate class | `read` |
| Idempotency | Not applicable |
| Keys | Developer keys and Clay compatible keys |
Response 200
| Field | Type | Required | Description |
|---|---|---|---|
api_key | object | yes | |
developer_api_enabled | boolean | yes | |
limits | object | yes | This key's requests per minute per rate class. |
organization | object | yes | |
reps | object[] | yes | |
workspace | object | yes |
Errors
Every operation can also answer the shared errors: authentication, scopes, rate limits and validation.
Example
curl "https://api.dmhero.ai/v1/me" \
-H "Authorization: Bearer $DMHERO_API_KEY"JSON Schema
{
"type": "object",
"properties": {
"workspace": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
}
},
"required": [
"id",
"name"
],
"additionalProperties": false
},
"api_key": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"prefix": {
"type": "string"
},
"scopes": {
"type": "array",
"items": {
"type": "string"
}
},
"expires_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"allowed_cidrs": {
"anyOf": [
{
"type": "array",
"items": {
"type": "string"
}
},
{
"type": "null"
}
]
},
"api_surface": {
"type": "string",
"enum": [
"integrations",
"developer"
]
}
},
"required": [
"id",
"name",
"prefix",
"scopes",
"expires_at",
"allowed_cidrs",
"api_surface"
],
"additionalProperties": false
},
"reps": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"ig_username": {
"type": "string"
}
},
"required": [
"id",
"ig_username"
],
"additionalProperties": false
}
},
"organization": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"plan": {
"type": "string"
}
},
"required": [
"id",
"plan"
],
"additionalProperties": false
},
"limits": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "object",
"properties": {
"per_minute": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"per_minute"
],
"additionalProperties": false
},
"description": "This key's requests per minute per rate class."
},
"developer_api_enabled": {
"type": "boolean"
}
},
"required": [
"workspace",
"api_key",
"reps",
"organization",
"limits",
"developer_api_enabled"
],
"additionalProperties": false
}